/*******************************************************************************
*
* File Name: DATA_SYNC.h
*
* Beschreibung: Software Funktionen fuer die Datensynchorniesierung zwischen 
*				Beschleunigungssensor und PC:
*				Es gibt ein Array, in dem die Daten der Register
*				zwischengespeichert werden
*				die Registeradresse entspricht der Spalte
*				in der ersten Zeile sind die Daten des Registers,
*				in der zweitenn Zeile wird vermerkt, ob die Daten neu sind
*				und noch weiter verarbeitet werden muessen, hierfuer gibt es
*				folgende Vermerke:
*				- DATA_SYNC_NO_CHANGE Daten wurden nicht veraendert, keine Aktion noetig
*				- DATA_SYNC_SEND_TO_SENSOR die Daten haben sich am PC geaendert und muessen noch zum Sensor uebertragen werden
*				- DATA_SYNC_SEND_TO_USART die Daten des Sensors haben sich geaendert und muessen noch an den PC uebertragen werden
*
* Projekt: Mikrorechnertechnik II 
*
*******************************************************************************/

#include <avr/io.h>
#include <util/delay.h>

#define DATA_SYNC_NO_CHANGE			0
#define DATA_SYNC_SEND_TO_SENSOR	1
#define DATA_SYNC_SEND_TO_USART		2
#define SLAVE_ADRESS				112

/*******************************************************************************
* globale Variable:
*******************************************************************************/
uint8_t  DataArray[2][22];

/*******************************************************************************
* globale Funktionen:
*******************************************************************************/
void DATA_SYNC_InitData(void);
void DATA_SYNC_ReadAllRegister(void);
void DATA_SYNC_ReadOutputRegister(void);
void DATA_SYNC_WriteNewDataToUsart(void);
void DATA_SYNC_WriteOutputToUsart(void);
void DATA_SYNC_WriteNewDataToSensor(void);